Summary:	10/100/1000 Base-T Ethernet Driver for the ET1301 and ET131x series MACs
Name:   	dkms-et131x
Version:	1.2.3
Release:	%mkrel 2
Source: 	http://downloads.sourceforge.net/et131x/et131x-%{version}.tar.gz
Patch:  	et131x-1.2.3-vlan_group_changes.patch
License:	BSD
Url:    	http://sourceforge.net/projects/et131x/
Group:  	System/Kernel and hardware
Requires:	dkms
Requires:	kernel-devel
Requires:	drakxtools >= 9.2-8mdk
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
10/100/1000 Base-T Ethernet Driver for the ET1301 and ET131x series
network adapters.

%prep
%setup -q -n et131x-%{version}
%patch -p1

# Cleanup sources
find . -type f -exec chmod 644 {} \;
find . -type f -name '*.rej' -o -name '*~' -o -name '*.orig' -print0 | \
	xargs -0 /bin/rm -f
rm -f Kernel-Build-HOWTO.html README.doc

%build

%install
rm -rf $RPM_BUILD_ROOT

# driver source
mkdir -p $RPM_BUILD_ROOT/%{_usrsrc}/et131x-%{version}-%{release}
cp -r * $RPM_BUILD_ROOT/%{_usrsrc}/et131x-%{version}-%{release}
cat > $RPM_BUILD_ROOT/%{_usrsrc}/et131x-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME=et131x
PACKAGE_VERSION=%{version}-%{release}
DEST_MODULE_LOCATION[0]=/kernel/drivers/net
BUILT_MODULE_NAME[0]=et131x
MAKE[0]="make KERNEL_DIR=\${kernel_source_dir}"
AUTOINSTALL=yes
EOF

%post
/usr/sbin/dkms --rpm_safe_upgrade add -m et131x -v %version-%release
/usr/sbin/dkms --rpm_safe_upgrade build -m et131x -v %version-%release
/usr/sbin/dkms --rpm_safe_upgrade install -m et131x -v %version-%release --force
exit 0

%preun
/usr/sbin/dkms --rpm_safe_upgrade remove -m et131x -v %version-%release --all
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%dir %{_usrsrc}/et131x-%{version}-%{release}
%{_usrsrc}/et131x-%{version}-%{release}/*


%changelog
* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 1.2.3-2mdv2008.0
+ Revision: 94437
- update to new version

* Thu Sep 20 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.2.3-1mdv2008.0
+ Revision: 91542
- Initial import (version 1.2.3).
- Created package structure for dkms-et131x.

